#{extends 'borderNG.html' /}
#{set 'titleHead'}
&{'beranda.home'} - &{'ukpbj.pokja_pemilihan'}
#{/set}
<div class="container">
    <ul id="tabs" class="nav nav-tabs faq-cat-tabs" role="tablist">
        <li>
            <a href="@{BerandaCtr.index()}">&{'beranda.tender'}</a>
        </li>
        <li class="active">
            <a href="@{BerandaCtr.nonLelang()}">&{'beranda.nontender'}</a>
        </li>
    #{if enableDevPartner}
        <li>
            <a href="@{devpartner.BerandaDpCtr.index()}">&{'beranda.dev_partner'}</a>
        </li>
    #{/if}
    </ul>
    <div class="tab-pane active">
        <div class="content tab-content">
            <div class="breadcrumb" style="background-color: #d9534f !important;">&{'beranda.penunjukan_langsung_aktif'}</div>
            <form id="formFilter">
                <table class="table table-sm table-bordered">
                    <tr>
                        <th class="bg-warning" width="200">&{'beranda.kepanitiaan'}</th>
                        <td>#{selectPanitia 'panitiaId', value:panitiaId, autoSubmit:true/}</td>
                    </tr>
                </table>
            </form>
            <table id="tbllelang" class="table table-sm">
                <thead>
                <tr>
                    <th width="12%">&{'beranda.kode_paket'}</th>
                    <th>&{'beranda.nama_paket'}</th>
                    <th width="200">&{'beranda.tahap'}</th>
                    <th width="10">&{'beranda.peserta'}</th>
                </tr>
                </thead>
            </table>
        </div>
    </div>
</div>
#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">
    var view  = #{jsRoute @nonlelang.PengadaanLCtr.view(':id') /};
    var viewTahap  = #{jsRoute @nonlelang.JadwalPlCtr.tahap(':id') /};
    $(document).ready(function() {
            language: {
                "sLengthMenu":   "&{'menu.slengthmenu'} _MENU_ data",
                processing:   "&{'menu.processing'}",
                "sSearch":       "&{'menu.ssearch'}",
                "sInfo":         "&{'menu.sinfo1'} _START_ &{'menu.sinfo2'} _END_ &{'menu.sinfo3'} _TOTAL_ data",
                "sInfoEmpty":    "&{'menu.sinfo1'} 0 &{'menu.sinfo2'} 0 &{'menu.sinfo3'} 0 data"
            },
       var table =  $("#tbllelang").DataTable({
            order: [[ 0, "desc"]],
            ajax: "@{DataTableCtr.PengadaanLPanitia(panitiaId)}",
            columns: [null, {render: function(data, type, row) {
                var id = row[0];
                var paket = row[1];

                var version = getLabelSpseVersion(row[4]);
                var flag = version.flag;
                var highlight = version.highlight;

                var label = row[5];
                row[2] = '<a target="_blank" href="'+viewTahap.url({id:id})+'" >'+row[2]+'</a>';
                return '<a href="'+view.url({id:id})+'">'+paket +'&nbsp;<span class="badge  badge-info">'+label+'</span>'+' <span class="'+highlight+'">'+flag+'</span></a>';
            }},{orderable:false},{orderable:false}
            ]
        });
        $('#tbllelang_filter input').unbind();
        $('#tbllelang_filter input').bind('keyup', function(e) {
            if(e.keyCode == 13) {
              table.search(this.value).draw();
             }
        });

        $('[name^=panitia]').on('change', function() {
            var panitia_id=$(this).val();
            $.cookie("panitia_id", panitia_id , {expires:365, path:'${request.path}'});
            $('#formFilter').submit();
            table.draw();
        });
    } );
</script>
#{/set}
